import { EventingFunctionUrlAuthData } from '@cbjsdev/shared';
import { ApiEventingFunctionSettings } from './ApiEventingFunctionSettings';
export type ApiEventingFunctionConstantBinding = {
    value: string;
    literal: string;
};
export type ApiEventingFunctionBucketBinding = {
    bucket_name: string;
    scope_name: string;
    collection_name: string;
    alias: string;
    access: 'r' | 'rw';
};
export type ApiEventingFunctionCurlBinding = {
    hostname: string;
    value: string;
    allow_cookies: boolean;
    validate_ssl_certificate: boolean;
} & EventingFunctionUrlAuthData;
export type ApiEventingFunction = {
    appcode: string;
    depcfg: {
        source_bucket: string;
        source_scope: string;
        source_collection: string;
        metadata_bucket: string;
        metadata_scope: string;
        metadata_collection: string;
        constants: ReadonlyArray<ApiEventingFunctionConstantBinding>;
        buckets: ReadonlyArray<ApiEventingFunctionBucketBinding>;
        curl: ReadonlyArray<ApiEventingFunctionCurlBinding>;
    };
    version: string;
    enforce_schema: boolean;
    handleruuid: number;
    function_instance_id: string;
    appname: string;
    settings: ApiEventingFunctionSettings;
    function_scope: {
        bucket: string;
        scope: string;
    };
};
